Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_EchoFilter

Echo Filter Class
Contained in: global
Derived from: CL_SoundFilter
Derived by: none
Group: Sound (Filters)

#include <ClanLib/sound.h>

### public function member index:
### Construction:
`` | `CL_EchoFilter` | `(`int` `buffer_size` = 32*1024, `int` `shift_factor` = 2)`;
``virtual`` | `~CL_EchoFilter` | `()`;
### Operations:
``virtual` `void`` | `filter` | `(`int`* `data`, `int` `size`)`;
### private function member index:
### Implementation:
`` | `CL_EchoFilter` | `(`const` `CL_EchoFilter`& `copy`)`;

## Description:

## Function Member Descriptions:

CL_EchoFilter::CL_EchoFilter - Echo Filter Constructor
`` `CL_EchoFilter``(`int` `buffer_size` = 32*1024, `int` `shift_factor` = 2)`;

CL_EchoFilter::filter - Filter
``virtual` `void`` `filter``(`int`* `data`, `int` `size`)`;

CL_EchoFilter::~CL_EchoFilter - Echo Filter Destructor
``virtual`` `~CL_EchoFilter``()`;

## Variable Member Descriptions: